<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Class org.apache.poi.util.LittleEndianByteArrayOutputStream (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.poi.util.LittleEndianByteArrayOutputStream (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../org/apache/poi/util/LittleEndianByteArrayOutputStream.html"
               title="class in org.apache.poi.util">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/util/class-use/LittleEndianByteArrayOutputStream.html"
               target="_top">Frames</a></li>
        <li><a href="LittleEndianByteArrayOutputStream.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Class org.apache.poi.util.LittleEndianByteArrayOutputStream" class="title">Uses of Class<br>org.apache.poi.util.LittleEndianByteArrayOutputStream
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../org/apache/poi/util/LittleEndianByteArrayOutputStream.html"
                        title="class in org.apache.poi.util">LittleEndianByteArrayOutputStream</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.poifs.crypt">org.apache.poi.poifs.crypt</a></td>
                    <td class="colLast">
                        <div class="block">Implementation of the ECMA-376 and MS-propritary document encryptions</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="#org.apache.poi.poifs.crypt.agile">org.apache.poi.poifs.crypt.agile</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.poifs.crypt.binaryrc4">org.apache.poi.poifs.crypt.binaryrc4</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.poifs.crypt.standard">org.apache.poi.poifs.crypt.standard</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.poifs.crypt.xor">org.apache.poi.poifs.crypt.xor</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.poifs.crypt">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/util/LittleEndianByteArrayOutputStream.html"
                                   title="class in org.apache.poi.util">LittleEndianByteArrayOutputStream</a> in <a
                            href="../../../../../org/apache/poi/poifs/crypt/package-summary.html">org.apache.poi.poifs.crypt</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/poifs/crypt/package-summary.html">org.apache.poi.poifs.crypt</a> with parameters of type <a
                                href="../../../../../org/apache/poi/util/LittleEndianByteArrayOutputStream.html"
                                title="class in org.apache.poi.util">LittleEndianByteArrayOutputStream</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">DataSpaceMapUtils.DataSpaceMap.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/poifs/crypt/DataSpaceMapUtils.DataSpaceMap.html#write-org.apache.poi.util.LittleEndianByteArrayOutputStream-">write</a></span>(<a
                                    href="../../../../../org/apache/poi/util/LittleEndianByteArrayOutputStream.html"
                                    title="class in org.apache.poi.util">LittleEndianByteArrayOutputStream</a>&nbsp;os)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span
                                    class="typeNameLabel">DataSpaceMapUtils.DataSpaceMapEntry.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/poifs/crypt/DataSpaceMapUtils.DataSpaceMapEntry.html#write-org.apache.poi.util.LittleEndianByteArrayOutputStream-">write</a></span>(<a
                                    href="../../../../../org/apache/poi/util/LittleEndianByteArrayOutputStream.html"
                                    title="class in org.apache.poi.util">LittleEndianByteArrayOutputStream</a>&nbsp;os)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span
                                    class="typeNameLabel">DataSpaceMapUtils.DataSpaceDefinition.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/poifs/crypt/DataSpaceMapUtils.DataSpaceDefinition.html#write-org.apache.poi.util.LittleEndianByteArrayOutputStream-">write</a></span>(<a
                                    href="../../../../../org/apache/poi/util/LittleEndianByteArrayOutputStream.html"
                                    title="class in org.apache.poi.util">LittleEndianByteArrayOutputStream</a>&nbsp;bos)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">DataSpaceMapUtils.IRMDSTransformInfo.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/poifs/crypt/DataSpaceMapUtils.IRMDSTransformInfo.html#write-org.apache.poi.util.LittleEndianByteArrayOutputStream-">write</a></span>(<a
                                    href="../../../../../org/apache/poi/util/LittleEndianByteArrayOutputStream.html"
                                    title="class in org.apache.poi.util">LittleEndianByteArrayOutputStream</a>&nbsp;bos)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span
                                    class="typeNameLabel">DataSpaceMapUtils.TransformInfoHeader.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/poifs/crypt/DataSpaceMapUtils.TransformInfoHeader.html#write-org.apache.poi.util.LittleEndianByteArrayOutputStream-">write</a></span>(<a
                                    href="../../../../../org/apache/poi/util/LittleEndianByteArrayOutputStream.html"
                                    title="class in org.apache.poi.util">LittleEndianByteArrayOutputStream</a>&nbsp;bos)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span
                                    class="typeNameLabel">DataSpaceMapUtils.DataSpaceVersionInfo.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/poifs/crypt/DataSpaceMapUtils.DataSpaceVersionInfo.html#write-org.apache.poi.util.LittleEndianByteArrayOutputStream-">write</a></span>(<a
                                    href="../../../../../org/apache/poi/util/LittleEndianByteArrayOutputStream.html"
                                    title="class in org.apache.poi.util">LittleEndianByteArrayOutputStream</a>&nbsp;bos)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.poifs.crypt.agile">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/util/LittleEndianByteArrayOutputStream.html"
                                   title="class in org.apache.poi.util">LittleEndianByteArrayOutputStream</a> in <a
                            href="../../../../../org/apache/poi/poifs/crypt/agile/package-summary.html">org.apache.poi.poifs.crypt.agile</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/poifs/crypt/agile/package-summary.html">org.apache.poi.poifs.crypt.agile</a> with parameters of type <a
                                href="../../../../../org/apache/poi/util/LittleEndianByteArrayOutputStream.html"
                                title="class in org.apache.poi.util">LittleEndianByteArrayOutputStream</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">AgileEncryptor.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/poifs/crypt/agile/AgileEncryptor.html#marshallEncryptionDocument-com.microsoft.schemas.office.x2006.encryption.EncryptionDocument-org.apache.poi.util.LittleEndianByteArrayOutputStream-">marshallEncryptionDocument</a></span>(com.microsoft.schemas.office.x2006.encryption.EncryptionDocument&nbsp;ed,
                                <a href="../../../../../org/apache/poi/util/LittleEndianByteArrayOutputStream.html"
                                   title="class in org.apache.poi.util">LittleEndianByteArrayOutputStream</a>&nbsp;os)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.poifs.crypt.binaryrc4">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/util/LittleEndianByteArrayOutputStream.html"
                                   title="class in org.apache.poi.util">LittleEndianByteArrayOutputStream</a> in <a
                            href="../../../../../org/apache/poi/poifs/crypt/binaryrc4/package-summary.html">org.apache.poi.poifs.crypt.binaryrc4</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/poifs/crypt/binaryrc4/package-summary.html">org.apache.poi.poifs.crypt.binaryrc4</a> with parameters of type <a
                                href="../../../../../org/apache/poi/util/LittleEndianByteArrayOutputStream.html"
                                title="class in org.apache.poi.util">LittleEndianByteArrayOutputStream</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">BinaryRC4EncryptionHeader.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/poifs/crypt/binaryrc4/BinaryRC4EncryptionHeader.html#write-org.apache.poi.util.LittleEndianByteArrayOutputStream-">write</a></span>(<a
                                    href="../../../../../org/apache/poi/util/LittleEndianByteArrayOutputStream.html"
                                    title="class in org.apache.poi.util">LittleEndianByteArrayOutputStream</a>&nbsp;littleendianbytearrayoutputstream)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span
                                    class="typeNameLabel">BinaryRC4EncryptionVerifier.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/poifs/crypt/binaryrc4/BinaryRC4EncryptionVerifier.html#write-org.apache.poi.util.LittleEndianByteArrayOutputStream-">write</a></span>(<a
                                    href="../../../../../org/apache/poi/util/LittleEndianByteArrayOutputStream.html"
                                    title="class in org.apache.poi.util">LittleEndianByteArrayOutputStream</a>&nbsp;bos)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.poifs.crypt.standard">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/util/LittleEndianByteArrayOutputStream.html"
                                   title="class in org.apache.poi.util">LittleEndianByteArrayOutputStream</a> in <a
                            href="../../../../../org/apache/poi/poifs/crypt/standard/package-summary.html">org.apache.poi.poifs.crypt.standard</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/poifs/crypt/standard/package-summary.html">org.apache.poi.poifs.crypt.standard</a> with parameters of type <a
                                href="../../../../../org/apache/poi/util/LittleEndianByteArrayOutputStream.html"
                                title="class in org.apache.poi.util">LittleEndianByteArrayOutputStream</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">EncryptionRecord.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/poifs/crypt/standard/EncryptionRecord.html#write-org.apache.poi.util.LittleEndianByteArrayOutputStream-">write</a></span>(<a
                                    href="../../../../../org/apache/poi/util/LittleEndianByteArrayOutputStream.html"
                                    title="class in org.apache.poi.util">LittleEndianByteArrayOutputStream</a>&nbsp;os)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">StandardEncryptionHeader.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/poifs/crypt/standard/StandardEncryptionHeader.html#write-org.apache.poi.util.LittleEndianByteArrayOutputStream-">write</a></span>(<a
                                    href="../../../../../org/apache/poi/util/LittleEndianByteArrayOutputStream.html"
                                    title="class in org.apache.poi.util">LittleEndianByteArrayOutputStream</a>&nbsp;bos)</code>
                                <div class="block">serializes the header</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span
                                    class="typeNameLabel">StandardEncryptionVerifier.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/poifs/crypt/standard/StandardEncryptionVerifier.html#write-org.apache.poi.util.LittleEndianByteArrayOutputStream-">write</a></span>(<a
                                    href="../../../../../org/apache/poi/util/LittleEndianByteArrayOutputStream.html"
                                    title="class in org.apache.poi.util">LittleEndianByteArrayOutputStream</a>&nbsp;bos)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.poifs.crypt.xor">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/util/LittleEndianByteArrayOutputStream.html"
                                   title="class in org.apache.poi.util">LittleEndianByteArrayOutputStream</a> in <a
                            href="../../../../../org/apache/poi/poifs/crypt/xor/package-summary.html">org.apache.poi.poifs.crypt.xor</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/poifs/crypt/xor/package-summary.html">org.apache.poi.poifs.crypt.xor</a> with parameters of type <a
                                href="../../../../../org/apache/poi/util/LittleEndianByteArrayOutputStream.html"
                                title="class in org.apache.poi.util">LittleEndianByteArrayOutputStream</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XOREncryptionVerifier.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/poifs/crypt/xor/XOREncryptionVerifier.html#write-org.apache.poi.util.LittleEndianByteArrayOutputStream-">write</a></span>(<a
                                    href="../../../../../org/apache/poi/util/LittleEndianByteArrayOutputStream.html"
                                    title="class in org.apache.poi.util">LittleEndianByteArrayOutputStream</a>&nbsp;bos)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XOREncryptionHeader.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/poifs/crypt/xor/XOREncryptionHeader.html#write-org.apache.poi.util.LittleEndianByteArrayOutputStream-">write</a></span>(<a
                                    href="../../../../../org/apache/poi/util/LittleEndianByteArrayOutputStream.html"
                                    title="class in org.apache.poi.util">LittleEndianByteArrayOutputStream</a>&nbsp;leos)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../org/apache/poi/util/LittleEndianByteArrayOutputStream.html"
               title="class in org.apache.poi.util">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/util/class-use/LittleEndianByteArrayOutputStream.html"
               target="_top">Frames</a></li>
        <li><a href="LittleEndianByteArrayOutputStream.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
